<template>
  <button class="btn btn-light btn-block text-left mt-0" v-bind:class="activeClass()" @click="updateLocationGroupSelection">
    {{ locationGroup.title }}
  </button>
</template>

<script>
import { SET_WORKSPACE_ACTIVE_LOCATION_GROUP } from '@/workspace/store/mutations'
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'

export default {
  name: 'locationgroupcontrol',

  mixins: [
    WorkspaceGetter,
  ],

  props: {
    locationGroupId: {
      type: String,
      required: true,
    },
  },

  computed: {
    locationGroup: {
      get() {
        return this.$store.getters.workspaceLocationGroupById(this.workspaceId, this.locationGroupId)
      }
    },
  },

  methods: {
    activeClass() {
      return {
        active: this.$store.getters.workspaceActiveLocationGroup(this.workspaceId) === this.locationGroupId
      }
    },

    updateLocationGroupSelection() {
      this.$store.commit(SET_WORKSPACE_ACTIVE_LOCATION_GROUP, {
        workspaceId: this.workspaceId,
        locationGroupId: this.locationGroupId,
      })
    },
  },
}
</script>
